org.richfaces.event

## Class TreeSelectionChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.richfaces.event.TreeSelectionChangeEvent

- All Implemented Interfaces:
    Serializable

      public class TreeSelectionChangeEvent
      extends javax.faces.event.FacesEvent

  Author:
    Nick Belaevski
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeSelectionChangeEvent(javax.faces.component.UIComponent component, Collection<Object> oldSelection, Collection<Object> newSelection)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Object>` | `getNewSelection()`
    `Collection<Object>` | `getOldSelection()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeSelectionChangeEvent

          public TreeSelectionChangeEvent(javax.faces.component.UIComponent component,
                                  Collection<Object> oldSelection,
                                  Collection<Object> newSelection)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getOldSelection

          public Collection<Object> getOldSelection()

    - #### getNewSelection

          public Collection<Object> getNewSelection()

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.